#! /usr/bin/env python

# System imports
from distutils.core import *
from distutils      import sysconfig

SWIG_OPTS = ['-c++', '-python', '-O', '-shadow', '-keyword', '-w-511', '-w-509']
CPPFILE = 'matrixshuffle_wrap.cpp'
import subprocess
subprocess.call(['swig'] + SWIG_OPTS + ['-o', CPPFILE, 'matrixshuffle.i'], shell=False)


# range extension module
_matrixshuffle = Extension("_matrixshuffle",
                   # ["matrixshuffle.i","matrixshuffle.cpp],
                   [CPPFILE],
                   include_dirs = [],
                   libraries = ["stdc++"]
                   )

setup(  name        = "matrix shuffle",
        description = "a toy example to communicate between python and c++ via swig", 
        author      = "Gao Wang",
        version     = "1.0",
        ext_modules = [_matrixshuffle]
        )

